# -*- coding: cp1250 -*-
import csv
import numpy as np
import matplotlib.pyplot as plt
from copy import deepcopy

volna_metoda_katal_pn10 = ['volna_metoda_katal_pn25.csv']
inegralni_metoda_katal_pn10 = ['integralni_metoda_katal_pn25.csv']
ASME_katal_150_Lbs = ['ASME_katal_400_Lbs.csv']
merkblatt_katal_pn10 = ['merkblatt_katal_pn25.csv']

with open(volna_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_volna_pn10 = 0
    for radky in cteni_radku:
        pocet_radku_volna_pn10 += 1

with open(inegralni_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_integralni_pn10 = 0
    for radky in cteni_radku:
        pocet_radku_integralni_pn10 += 1

with open(ASME_katal_150_Lbs[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_ASME_Lbs150 = 0
    for radky in cteni_radku:
        pocet_radku_ASME_Lbs150 += 1
        
with open(merkblatt_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    pocet_radku_merkblatt_pn10 = 0
    for radky in cteni_radku:
        pocet_radku_merkblatt_pn10 += 1

#####################################################################

with open(volna_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych_volna = _cteni_radku[0]
    nazvy_jednotek_volna = _cteni_radku[1]

with open(inegralni_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych_integralni = _cteni_radku[0]
    nazvy_jednotek_integralni = _cteni_radku[1]

with open(ASME_katal_150_Lbs[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych_ASME = _cteni_radku[0]
    nazvy_jednotek_ASME = _cteni_radku[1]

with open(merkblatt_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    _cteni_radku = list(cteni_radku)
    nazvy_promennych_merkblatt = _cteni_radku[0]
    nazvy_jednotek_merkblatt = _cteni_radku[1]

nazev_osy_x_volna = 'B'
nazev_osy_x_integ = 'B'
nazev_osy_x_ASME = 'B'
nazev_osy_x_merkblatt = 'di'
#####
nazev_osy_volna_g0 = 'g0'
nazev_osy_volna_P = 'P'
nazev_osy_volna_T = 'T'
nazev_osy_volna_k_sigmaH = 'k_sigmaH'
nazev_osy_volna_k_sigmar = 'k_sigmar'
nazev_osy_volna_k_sigmaTHETA_montaz = 'k_sigmaTHETA_montaz'
nazev_osy_volna_k_sigmaH_sigmar = 'k_sigmaH_sigmar'
nazev_osy_volna_k_sigmaH_sigmaTHETA_montaz = 'k_sigmaH_sigmaTHETA_montaz'
nazev_osy_volna_k_sigmaTHETA_provoz = 'k_sigmaTHETA_provoz'
nazev_osy_volna_k_sigmaH_sigmar = 'k_sigmaH_sigmar'
nazev_osy_volna_k_sigmaH_sigmaTHETA_provoz = 'k_sigmaH_sigmaTHETA_provoz'
nazev_osy_volna_f = 'f_priruba'
nazev_osy_volna_fH = 'f_plaste'
####
nazev_osy_integ_g0 = 'g0'
nazev_osy_integ_g1 = 'g1'
nazev_osy_integ_h = 'h'
nazev_osy_integ_k_sigmaH_montaz = 'k_sigmaH_montaz'
nazev_osy_integ_k_sigmar_montaz = 'k_sigmar_montaz'
nazev_osy_integ_k_sigmaTHETA_montaz = 'k_sigmaTHETA_montaz'
nazev_osy_integ_0_5_k_sigmaH_montaz_sigmar_montaz = '0_5_k_sigmaH_montaz_sigmar_montaz'
nazev_osy_integ_0_5_k_sigmaH_montaz_sigmaTHETA_montaz = '0_5_k_sigmaH_montaz_sigmaTHETA_montaz'
nazev_osy_integ_k_sigmaH_provoz = 'k_sigmaH_provoz'
nazev_osy_integ_k_sigmar_provoz = 'k_sigmar_provoz'
nazev_osy_integ_k_sigmaTHETA_provoz = 'k_sigmaTHETA_provoz'
nazev_osy_integ_0_5_k_sigmaH_provoz_sigmar_provoz = '0_5_k_sigmaH_provoz_sigmar_provoz'
nazev_osy_integ_0_5_k_sigmaH_provoz_sigmaTHETA_provoz = '0_5_k_sigmaH_provoz_sigmaTHETA_provoz'

hodnoty_x_volna = []
sloupec_promenna_x_volna = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_x_volna:
        break
    else:
        sloupec_promenna_x_volna += 1

hodnoty_x_integ = []
sloupec_promenna_x_integ = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_x_integ:
        break
    else:
        sloupec_promenna_x_integ += 1

hodnoty_x_ASME = []
sloupec_promenna_x_ASME = 0
for promenne in nazev_osy_x_ASME:
    if promenne == nazev_osy_x_ASME:
        break
    else:
        sloupec_promenna_x_ASME += 1

hodnoty_x_merkblatt = []
sloupec_promenna_x_merkblatt = 0
for promenne in nazvy_promennych_merkblatt:
    if promenne == nazev_osy_x_merkblatt:
        break
    else:
        sloupec_promenna_x_merkblatt += 1
                
####4

hodnoty_volna_g0 = []
sloupec_promenna_volna_g0 = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_g0:
        break
    else:
        sloupec_promenna_volna_g0 += 1

hodnoty_volna_P = []
sloupec_promenna_volna_P = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_P:
        break
    else:
        sloupec_promenna_volna_P += 1

hodnoty_volna_T = []
sloupec_promenna_volna_T = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_T:
        break
    else:
        sloupec_promenna_volna_T += 1

hodnoty_volna_k_sigmaH = []
sloupec_promenna_volna_k_sigmaH = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaH:
        break
    else:
        sloupec_promenna_volna_k_sigmaH += 1

hodnoty_volna_k_sigmar = []
sloupec_promenna_volna_k_sigmar = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmar:
        break
    else:
        sloupec_promenna_volna_k_sigmar += 1

hodnoty_volna_k_sigmaTHETA_montaz = []
sloupec_promenna_volna_k_sigmaTHETA_montaz = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaTHETA_montaz:
        break
    else:
        sloupec_promenna_volna_k_sigmaTHETA_montaz += 1

hodnoty_volna_k_sigmaH_sigmar = []
sloupec_promenna_volna_k_sigmaH_sigmar = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaH_sigmar:
        break
    else:
        sloupec_promenna_volna_k_sigmaH_sigmar += 1

hodnoty_volna_k_sigmaH_sigmaTHETA_montaz = []
sloupec_promenna_volna_k_sigmaH_sigmaTHETA_montaz = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaH_sigmaTHETA_montaz:
        break
    else:
        sloupec_promenna_volna_k_sigmaH_sigmaTHETA_montaz += 1

hodnoty_volna_k_sigmaTHETA_provoz = []
sloupec_promenna_volna_k_sigmaTHETA_provoz = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaTHETA_provoz:
        break
    else:
        sloupec_promenna_volna_k_sigmaTHETA_provoz += 1

hodnoty_volna_k_sigmaH_sigmar = []
sloupec_promenna_volna_k_sigmaH_sigmar = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaH_sigmar:
        break
    else:
        sloupec_promenna_volna_k_sigmaH_sigmar += 1

hodnoty_volna_k_sigmaH_sigmaTHETA_provoz = []
sloupec_promenna_volna_k_sigmaH_sigmaTHETA_provoz = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_k_sigmaH_sigmaTHETA_provoz:
        break
    else:
        sloupec_promenna_volna_k_sigmaH_sigmaTHETA_provoz += 1

hodnoty_volna_f = []
sloupec_promenna_volna_f = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_f:
        break
    else:
        sloupec_promenna_volna_f += 1

hodnoty_volna_fH = []
sloupec_promenna_volna_fH = 0
for promenne in nazvy_promennych_volna:
    if promenne == nazev_osy_volna_fH:
        break
    else:
        sloupec_promenna_volna_fH += 1


with open(volna_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        if radky[0] == 'Temp':
            pass
        elif radky[1]== '\xb0C':
            pass
        else:
            hodnoty_x_volna.append(float(radky[sloupec_promenna_x_volna]))
            hodnoty_volna_g0.append(float(radky[sloupec_promenna_volna_g0]))
            hodnoty_volna_P.append(float(radky[sloupec_promenna_volna_P]))
            hodnoty_volna_T.append(float(radky[0]))
            hodnoty_volna_k_sigmaH.append(float(radky[sloupec_promenna_volna_k_sigmaH]))
            hodnoty_volna_k_sigmar.append(float(radky[sloupec_promenna_volna_k_sigmar]))
            hodnoty_volna_k_sigmaTHETA_montaz.append(float(radky[sloupec_promenna_volna_k_sigmaTHETA_montaz]))
            hodnoty_volna_k_sigmaH_sigmar.append(float(radky[sloupec_promenna_volna_k_sigmaH_sigmar]))
            hodnoty_volna_k_sigmaH_sigmaTHETA_montaz.append(float(radky[sloupec_promenna_volna_k_sigmaH_sigmaTHETA_montaz]))
            hodnoty_volna_k_sigmaTHETA_provoz.append(float(radky[sloupec_promenna_volna_k_sigmaTHETA_provoz]))
            hodnoty_volna_k_sigmaH_sigmar.append(float(radky[sloupec_promenna_volna_k_sigmaH_sigmar]))
            hodnoty_volna_k_sigmaH_sigmaTHETA_provoz.append(float(radky[sloupec_promenna_volna_k_sigmaH_sigmaTHETA_provoz]))
            hodnoty_volna_f.append(float(radky[sloupec_promenna_volna_f]))
            hodnoty_volna_fH.append(float(radky[sloupec_promenna_volna_fH]))

podminka_1 = []
podminka_2 = []
podminka_3 = []
podminka_4 = []
podminka_5 = []
podminka_6 = []
podminka_7 = []
podminka_8 = []
podminka_9 = []
podminka_10 = []
podminka_11 = []
podminka_12 = []

for i in xrange(0,len(hodnoty_x_volna)):
    podminka_1.append(hodnoty_volna_g0[i]*100/16.)
    podminka_2.append(hodnoty_volna_P[i]*100/2.)
    podminka_3.append(hodnoty_x_volna[i]/hodnoty_volna_g0[i]*100/300.)
    podminka_4.append(hodnoty_volna_T[i]*100/370.)
    podminka_5.append(hodnoty_volna_k_sigmaH[i]*100/(1.5*min(hodnoty_volna_f[i],hodnoty_volna_fH[i])))
    podminka_6.append(hodnoty_volna_k_sigmar[i]*100/hodnoty_volna_f[i])
    podminka_7.append(hodnoty_volna_k_sigmaTHETA_montaz[i]*100/hodnoty_volna_f[i])
    podminka_8.append(hodnoty_volna_k_sigmaH_sigmar[i]*100/hodnoty_volna_f[i])
    podminka_9.append(hodnoty_volna_k_sigmaH_sigmaTHETA_montaz[i]*100/hodnoty_volna_f[i])
    podminka_10.append(hodnoty_volna_k_sigmaTHETA_provoz[i]*100/hodnoty_volna_f[i])
    podminka_11.append(hodnoty_volna_k_sigmaH_sigmar[i]*100/hodnoty_volna_f[i])
    podminka_12.append(hodnoty_volna_k_sigmaH_sigmaTHETA_provoz[i]*100/hodnoty_volna_f[i])

volna_procenta = []
for i in xrange(0,len(podminka_1)):
    volna_procenta.append(max(podminka_1[i],podminka_2[i],podminka_3[i],podminka_4[i],
                              podminka_5[i],podminka_6[i],podminka_7[i],podminka_8[i],
                              podminka_9[i],podminka_10[i],podminka_11[i],podminka_12[i]))

##print podminka_10
# nejhůř vychází podmínka 10, ta dosahuje únosnosti až kolem 200 %, měla by být 100 % max. pak návrh dle výpočtu nevyhovuje!!!!

hodnoty_x_integralni = []
hodnoty_integ_g0 = []
hodnoty_integ_g1 = []
hodnoty_integ_h = []
hodnoty_integ_k_sigmaH_mont = []
hodnoty_integ_k_sigmar_mont = []
hodnoty_integ_k_sigmaTHETA_mont = []
hodnoty_integ_0_5_k_sigmaH_montaz_sigmar_mont = []
hodnoty_integ_0_5_k_sigmaH_montaz_sigmaTHETA_mont = []
hodnoty_integ_k_sigmaH_provoz = []
hodnoty_integ_k_sigmar_provoz = []
hodnoty_integ_k_sigmaTHETA_provoz = []
hodnoty_integ_0_5_k_sigmaH_provoz_sigmar_provoz = []
hodnoty_integ_0_5_k_sigmaH_provoz_sigmaTHETA_provoz = []
hodnoty_integ_f = []
hodnoty_integ_fH = []

with open(inegralni_metoda_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        if radky[0] == 'Temp':
            pass
        elif radky[1]== '\xb0C':
            pass
        else:
            hodnoty_x_integralni.append(float(radky[9]))
            hodnoty_integ_g0.append(float(radky[7]))
            hodnoty_integ_g1.append(float(radky[14]))
            hodnoty_integ_h.append(float(radky[20]))
            hodnoty_integ_k_sigmaH_mont.append(float(radky[98]))
            hodnoty_integ_k_sigmar_mont.append(float(radky[99]))
            hodnoty_integ_k_sigmaTHETA_mont.append(float(radky[100]))
            hodnoty_integ_0_5_k_sigmaH_montaz_sigmar_mont.append(float(radky[101]))
            hodnoty_integ_0_5_k_sigmaH_montaz_sigmaTHETA_mont.append(float(radky[102]))
            hodnoty_integ_k_sigmaH_provoz.append(float(radky[103]))
            hodnoty_integ_k_sigmar_provoz.append(float(radky[104]))
            hodnoty_integ_k_sigmaTHETA_provoz.append(float(radky[105]))
            hodnoty_integ_0_5_k_sigmaH_provoz_sigmar_provoz.append(float(radky[106]))
            hodnoty_integ_0_5_k_sigmaH_provoz_sigmaTHETA_provoz.append(float(radky[107]))
            hodnoty_integ_f.append(float(radky[49]))
            hodnoty_integ_fH.append(float(radky[52]))

podminka_1 = []
podminka_2 = []
podminka_3 = []
podminka_4 = []
podminka_5 = []
podminka_6 = []
podminka_7 = []
podminka_8 = []
podminka_9 = []
podminka_10 = []
podminka_11 = []

for i in xrange(0,len(hodnoty_x_integralni)):
    podminka_1.append(hodnoty_integ_g1[i]*100/(hodnoty_integ_h[i]+hodnoty_volna_g0[i]))
    podminka_2.append(hodnoty_integ_k_sigmaH_mont[i]*100/(1.5*min(hodnoty_integ_f[i],hodnoty_integ_fH[i])))
    podminka_3.append(hodnoty_integ_k_sigmaH_provoz[i]*100/(1.5*min(hodnoty_integ_f[i],hodnoty_integ_fH[i])))
    podminka_4.append(hodnoty_integ_k_sigmar_mont[i]*100/(hodnoty_integ_f[i]))
    podminka_5.append(hodnoty_integ_k_sigmar_provoz[i]*100/(hodnoty_integ_f[i]))
    podminka_6.append(hodnoty_integ_k_sigmaTHETA_mont[i]*100/(hodnoty_integ_f[i]))
    podminka_7.append(hodnoty_integ_k_sigmaTHETA_provoz[i]*100/(hodnoty_integ_f[i]))
    podminka_8.append(hodnoty_integ_0_5_k_sigmaH_montaz_sigmar_mont[i]*100/(hodnoty_integ_f[i]))
    podminka_9.append(hodnoty_integ_0_5_k_sigmaH_provoz_sigmar_provoz[i]*100/(hodnoty_integ_f[i]))
    podminka_10.append(hodnoty_integ_0_5_k_sigmaH_montaz_sigmaTHETA_mont[i]*100/(hodnoty_integ_f[i]))
    podminka_11.append(hodnoty_integ_0_5_k_sigmaH_provoz_sigmaTHETA_provoz[i]*100/(hodnoty_integ_f[i]))

integralni_procenta = []
for i in xrange(0,len(podminka_1)):
    integralni_procenta.append(max(podminka_1[i],podminka_2[i],podminka_3[i],podminka_4[i],
                              podminka_5[i],podminka_6[i],podminka_7[i],podminka_8[i],
                              podminka_9[i],podminka_10[i],podminka_11[i]))


hodnoty_x_merk = []
hodnoty_merk_FSB = []
hodnoty_merk_FDTHETA = []
hodnoty_merk_sF = []
hodnoty_merk_hF = []
hodnoty_merk_hA = []
hodnoty_merk_s1 = []
hodnoty_merk_b = []
hodnoty_merk_hF_provozAA = []
hodnoty_merk_hF_montazAA = []
hodnoty_merk_hF_provozBB = []
hodnoty_merk_hF_montazBB = []

with open(merkblatt_katal_pn10[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        if radky[0] == 'Temp':
            pass
        elif radky[1]== 'stC':
            pass
        else:
            hodnoty_x_merk.append(float(radky[9]))
            hodnoty_merk_FSB.append(float(radky[46]))
            hodnoty_merk_FDTHETA.append(float(radky[48]))
            hodnoty_merk_sF.append(float(radky[14]))
            hodnoty_merk_hF.append(float(radky[18]))
            hodnoty_merk_hA.append(float(radky[17]))
            hodnoty_merk_s1.append(float(radky[15]))
            hodnoty_merk_b.append(float(radky[54]))
            hodnoty_merk_hF_provozAA.append(float(radky[63]))
            try:
                hodnoty_merk_hF_montazAA.append(float(radky[64]))
            except:
                hodnoty_merk_hF_montazAA.append(float(20))
            hodnoty_merk_hF_provozBB.append(float(radky[72]))
            hodnoty_merk_hF_montazBB.append(float(radky[73]))
                                   
podminka_1 = []
podminka_2 = []
podminka_3 = []
podminka_4 = []
podminka_5 = []
podminka_6 = []
podminka_7 = []
podminka_8 = []
podminka_9 = []
podminka_10 = []

for i in xrange(0,len(hodnoty_x_merk)):
    podminka_1.append(hodnoty_merk_FSB[i]*100/hodnoty_merk_FDTHETA[i])
    podminka_2.append(hodnoty_merk_sF[i]*100/hodnoty_merk_hF[i]/3)
    podminka_3.append(0.5*100*hodnoty_merk_hF[i]/(hodnoty_merk_hA[i]-hodnoty_merk_hF[i]))
    podminka_4.append((hodnoty_merk_hA[i]-hodnoty_merk_hF[i])*100/hodnoty_merk_hF[i])
    podminka_5.append(0.1*hodnoty_merk_b[i]*100/(hodnoty_merk_s1[i]+hodnoty_merk_sF[i]))
    podminka_6.append((hodnoty_merk_s1[i]+hodnoty_merk_sF[i])*100/(0.3*hodnoty_merk_b[i]))
    podminka_7.append(hodnoty_merk_hF_provozAA[i]*100/hodnoty_merk_hF[i])
    podminka_8.append(hodnoty_merk_hF_montazAA[i]*100/hodnoty_merk_hF[i])
    podminka_9.append(hodnoty_merk_hF_provozBB[i]*100/hodnoty_merk_hF[i])
    podminka_10.append(hodnoty_merk_hF_montazBB[i]*100/hodnoty_merk_hF[i])

merkblatt_procenta = []
for i in xrange(0,len(podminka_1)):
    merkblatt_procenta.append(max(podminka_1[i],podminka_2[i],podminka_3[i],podminka_4[i],
                              podminka_5[i],podminka_6[i],podminka_7[i],podminka_8[i],
                              podminka_9[i],podminka_10[i]))

hodnoty_x_ASME = []
hodnoty_ASME_h = []
hodnoty_ASME_g0 = []
hodnoty_ASME_SH = []
hodnoty_ASME_SR = []
hodnoty_ASME_ST = []
hodnoty_ASME_Sf = []
hodnoty_ASME_Sn = []

with open(ASME_katal_150_Lbs[-1],'rb') as csvsoubor:
    cteni_radku = csv.reader(csvsoubor, delimiter=';')
    for radky in cteni_radku:
        if radky[0] == 'Temp':
            pass
        elif radky[1]== 'stC':
            pass
        else:
            hodnoty_x_ASME.append(float(radky[7]))
            hodnoty_ASME_h.append(float(radky[11]))
            hodnoty_ASME_g0.append(float(radky[9]))
            hodnoty_ASME_SH.append(float(radky[77]))
            hodnoty_ASME_SR.append(float(radky[78]))
            hodnoty_ASME_ST.append(float(radky[79]))
            hodnoty_ASME_Sf.append(float(radky[33]))
            hodnoty_ASME_Sn.append(float(radky[30]))

podminka_1 = []
podminka_2 = []
podminka_3 = []
podminka_4 = []
podminka_5 = []
podminka_6 = []
podminka_7 = []

for i in xrange(0,len(hodnoty_x_ASME)):
    podminka_1.append(1.5*100*hodnoty_ASME_g0[i]/hodnoty_ASME_h[i])
    podminka_2.append(hodnoty_ASME_SH[i]*100/min(1.5*hodnoty_ASME_Sf[i],2.5*hodnoty_ASME_Sn[i]))
    podminka_3.append(hodnoty_ASME_SH[i]*100/hodnoty_ASME_Sf[i])
    podminka_4.append(hodnoty_ASME_SR[i]*100/hodnoty_ASME_Sf[i])
    podminka_5.append(hodnoty_ASME_ST[i]*100/hodnoty_ASME_Sf[i])
    podminka_6.append(0.5*(hodnoty_ASME_ST[i]+hodnoty_ASME_SH[i])*100/hodnoty_ASME_Sf[i])
    podminka_7.append(0.5*(hodnoty_ASME_SR[i]+hodnoty_ASME_SH[i])*100/hodnoty_ASME_Sf[i])

print podminka_1, podminka_2, podminka_3

ASME_procenta = []
for i in xrange(0,len(podminka_1)):
    ASME_procenta.append(max(podminka_1[i],podminka_2[i],podminka_3[i],podminka_4[i],
                              podminka_5[i],podminka_6[i],podminka_7[i]))


fig, ax = plt.subplots(figsize=(15,8))
##ax1 = ax.twinx()
ax.plot(hodnoty_x_volna, volna_procenta, 'o-', label='volna metoda')
ax.plot(hodnoty_x_integralni, integralni_procenta, 'o-', label='integralni metoda')
ax.plot(hodnoty_x_merk, merkblatt_procenta, 'o-', label='merkblatt metoda')
ax.plot(hodnoty_x_ASME, ASME_procenta, 'o-', label='ASME metoda')
##ax.plot(hodnoty_x_integralni_pn10[2:-1], sideL_eq2_integralni, 'o:', label='$\sigma_\Theta/f \leq f$ $-$ $integralni$')
##ax.plot(hodnoty_x1_ASME_Lbs150[2:-1], sideL_eq3_ASME, 'o:', label='$S_T/Sn \leq f$ $-$ $ASME$')
ax.grid()

####ax.fill_between(hodnoty_x_katal_pn10[2:-1], sideP_eq1_volna,-100, label='f', color='blue', alpha=0.5)
##ax.text(300, sideP_eq1_volna[0]+10, '$f_d = f(material$ $priruby - '+str(text_materialu[0])+')$', color = 'purple')
####ax.set_xlim([])
##minimum = min(min(sideL_eq1_volna),min(sideL_eq2_integralni),min(sideL_eq3_ASME))
##maximum = max(max(sideL_eq1_volna),max(sideL_eq2_integralni),max(sideL_eq3_ASME))
####ax.set_ylim([minimum-50,maximum+50])

ax.set_xlabel('$B [mm]$', fontsize=20)
ax.set_ylabel('Vytizenost [%]', fontsize=20)
##ax.set_title('Zavislost '+nazev_osy_x+' na '+nazev_osy_y)
ax.legend(loc='upper left', shadow=False)
plt.title('Srovnani norem (PN25)', fontsize=20)
plt.savefig('procenta_pn10.svg')
plt.savefig('procenta_pn10.png',dpi=300)
plt.show()
